Get a tagged account

Get a specific tagged account

This endpoint returns you the account data related to the account that you queried for given the account hash

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

This endpoint is deprecated.

📘

This endpoint returns you account information that is tagged by SolanaFM, if the account entails with no data field. It is not tagged by SolanaFM.

Parameters

  • hash- The account/wallet pubkey to query for

Results

Valid Account Hash

<object>- a JSON object containing:

  • accountHash: <String>, the account hash that you queried for
  • data: <object>, data associated with this account which contains the following fields
    • friendlyName: <String>, A friendly readable name for the account instead of just a hash
    • abbreviation: <String>, A short abbreviation of the account
    • category: <String>, A category that indicates which ecosystem does this account belong to (markets, validators, accounts, tokens, programs)
    • voteKey: <String>, This field only exist for validator accounts to indicate the vote key account hash for this validator account
    • network: <String>, Indicates if the account lives in (mainnet/devnet/testnet)
    • tags: [<String>][<String>], Could be possibly tagged as a scammer/hacker account by the SolanaFM team or in a more generic term of tagging (e.g. tagging the account as a DeFi account)
    • logoURI: <String | null>, An image url to the logo of the account (if exists)
    • flag: <String | null>, Flagging out an account that has been exploited or exploits others to be indicated on our Explorer

Invalid Account Hash

<object> - a JSON object containing the following fields if the requested account doesn't exist

  • code: <integer>, The error code
  • message: <String>, An error message to indicate which part of the query went wrong
  • status: <String>, The response status following the error code
    • 400 = Bad Request (client side)
    • 500 = Internal Server Error (server side)
Path Params
string
required

The account/wallet hash to query for

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json